6.0.0-git
2019-04-25

[#9077] Filter Options not working properly
Summary Filter Options not working properly
Queue Ingo
Queue Version FRAMEWORK_3
Type Bug
State Resolved
Priority 2. Medium
Owners jan (at) horde (dot) org
Requester jrkuipers (at) lauwerscollege (dot) nl
Created 2010-06-07 (3244 days ago)
Due
Updated 2010-06-15 (3236 days ago)
Assigned
Resolved 2010-06-15 (3236 days ago)
Milestone
Patch No

History
2010-06-15 10:03:08 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2010-06-15 10:02:55 CVS Commit Comment #4 Reply to this comment
Changes have been made in CVS for this ticket:

[jan] Fix filtering only unseen message if rule should filter all messages in
IMAP driver (Jan Kuipers <jrkuipers@lauwerscollege.nl>, Bug #9077).
http://cvs.horde.org/diff.php/ingo/docs/CHANGES?rt=horde&r1=1.55.2.143&r2=1.55.2.144&ty=u
http://cvs.horde.org/diff.php/ingo/lib/Script/imap.php?rt=horde&r1=1.49.10.21&r2=1.49.10.22&ty=u
2010-06-09 12:55:37 mveltre82 (at) hotmail (dot) com Comment #3 Reply to this comment
Thanks a lot! This fixes the issue I was inspecting (filter rules were 
not applied to some messages).
2010-06-08 18:37:51 jrkuipers (at) lauwerscollege (dot) nl Comment #2
New Attachment: imap.php.diff Download
Reply to this comment
When Filter Options are set to "Filter all messages" only unseen 
messages are processed. When I want to filter the seen messages I 
have to set Filter Options implicit to "Filter seen messages".

fyi: I'm using the standard imap filter engine.
Proposed patch attached (regarding ingo/lib/Scripts/imap.php)
2010-06-07 12:55:26 jrkuipers (at) lauwerscollege (dot) nl Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 2. Medium
Summary ⇒ Filter Options not working properly
Queue ⇒ Ingo
Milestone ⇒
Patch ⇒ No
Reply to this comment
When Filter Options are set to "Filter all messages" only unseen 
messages are processed. When I want to filter the seen messages I have 
to set Filter Options implicit to "Filter seen messages".

fyi: I'm using the standard imap filter engine.

Saved Queries